from django.db import models


class User(models.Model):
    first_name = models.CharField(max_length=120)
    last_name = models.CharField(max_length=120)
    address = models.CharField(max_length=255)
    email = models.EmailField(max_length=120)
    date_of_birth = models.DateField()
    register_date = models.DateTimeField(auto_now=True)
    paid = models.BooleanField(default=False)
    duration = models.DurationField(null=True, blank=True)

    def __str__(self):
        return f"<User {self.first_name} {self.last_name} {self.email} {self.paid}>"
